<?xml version="1.0"?>
<doc>
    <assembly>
        <name>immoPro.Application</name>
    </assembly>
    <members>
        <member name="T:immoPro.Clients.Dtos.CreateClientDto">
            <summary>
            To be used only in passing it to create client method
            </summary>
        </member>
        <member name="T:immoPro.Clients.Dtos.EditClientDto">
            <summary>
            To be used only in passing it to edit client method
            </summary>
        </member>
        <member name="M:immoPro.Projects.Blocs.Floors.Appartments.Modes.Dtos.GetModeDto.RaisePropertyChanged(System.ComponentModel.PropertyChangedEventArgs)">
            <inheritdoc />
        </member>
        <member name="M:immoPro.Projects.Blocs.Floors.Appartments.Modes.Dtos.GetModeDto.RaisePropertyChanging(System.ComponentModel.PropertyChangingEventArgs)">
            <inheritdoc />
        </member>
        <member name="T:immoPro.Projects.Premises.PremiseAppService">
            <inheritdoc />
        </member>
        <member name="M:immoPro.Projects.Premises.PremiseAppService.#ctor(Abp.Domain.Repositories.IRepository{immoPro.Projects.Premise,System.Guid},immoPro.Cashiers.ICashierAppService,immoPro.Clients.IClientStatsAppService,Abp.Domain.Repositories.IRepository{immoPro.Projects.SchedulePremise,System.Guid})">
            <inheritdoc />
        </member>
        <member name="M:immoPro.Projects.Premises.PremiseAppService.CreatePremisesAsync(immoPro.Projects.Premises.Dtos.CreatePremisesDto)">
            <inheritdoc />
        </member>
        <member name="M:immoPro.Projects.Premises.PremiseAppService.GetPremisesByClient(System.Guid)">
            <inheritdoc />
        </member>
        <member name="M:immoPro.Projects.Premises.PremiseAppService.CancelLocalAsync(immoPro.Projects.Premises.Dtos.GetPremiseDto)">
            <inheritdoc />
        </member>
        <member name="M:immoPro.Projects.Premises.PremiseAppService.RemovedClientLocalByClientIdAsync(System.Guid)">
            <inheritdoc />
        </member>
        <member name="M:immoPro.Projects.Premises.PremiseAppService.RemovedLocalByProjectId(System.Guid)">
            <inheritdoc />
        </member>
        <member name="M:immoPro.Projects.Premises.PremiseAppService.MappingProfile.#ctor">
            <inheritdoc />
        </member>
        <member name="T:immoPro.Files.FilesService">
            <summary>
            the main file service
            </summary>
        </member>
        <member name="T:immoPro.Files.IFilesService">
            <summary>
            the main file service
            </summary>
        </member>
        <member name="T:immoPro.immoProAppServiceBase">
            <summary>
                Derive your application services from this class.
            </summary>
        </member>
    </members>
</doc>
